#include <glib.h>
#include <stdio.h>
#include <stdlib.h>
#include "unity-webapps-url-db.h"

#define TEST_DB_OUTPUT_PATH "./urldb.sqlite"

static void
spawn_index_updater ()
{
  g_setenv ("UNITY_WEBAPPS_URL_DB_DEFAULT_PATH", TEST_DB_OUTPUT_PATH, TRUE);
  g_setenv ("UNITY_WEBAPPS_APT_CACHE_BINARY", "./mock-apt-cache", TRUE);
  system ("../../src/index-updater/ubuntu-webapps-update-index");
}

gint 
main (gint argc, gchar **argv)
{
  UnityWebappsUrlDB *db;
  gchar **packages;

  spawn_index_updater ();
  
  db = unity_webapps_url_db_open (TRUE, "./urldb.sqlite");
  unity_webapps_url_db_lookup_urls (db, "http://chrome.angrybirds.com/",
				    &packages);
  g_assert_cmpstr (packages[0], ==, "unity-webapps-angrybirds");
}
